\environment entorn

\starttext

\startsubject[title={Jerarquia d'operacions amb fraccions}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new

for i in (1...3)
  parametres = Hash.new
  parametres['a'] = rand(1..10)
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(1..20)
  parametres['d'] = rand(1..20)
  exercicis[1].push(parametres)
end
%>

\startexercici[reference=exercici-1] Opereu:
\startitemize[a, columns]
<% exercicis[1].each do |par| %>
\item \startformula
\frac{<%=par['a']%>}{<%=par['b']%>} + \frac{<%=par['c']%>}{<%=par['b']%>} + <%=par['d']%>
\stopformula
<% end %>
\stopitemize
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

for i in (1...3)
  parametres = Hash.new
  
  parametres['a'] = rand(2..10)
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(2..20)
  parametres['d'] = rand(2..20)
  exercicis[2].push(parametres)
end
%>


\startexercici[reference=exercici-2] Opereu:
\startitemize[a, columns]
<% exercicis[2].each do |par| %>
\item \startformula
\frac{<%=par['a']%>}{<%=par['b']%>} + \frac{<%=par['c']%>}{<%=par['d']%>}
\stopformula
<% end %>
\stopitemize
\stopexercici



<%# Exercici 3 %>
<%
exercicis[3] = Array.new

for i in (1...3)
  parametres = Hash.new
  
  parametres['a'] = rand(2..10)  
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(2..20)  
  parametres['d'] = rand(2..20)
  parametres['e'] = rand(2..20)

  exercicis[3].push(parametres)
end
%>


\startexercici[reference=exercici-3] Opereu:
\startitemize[a, columns]
<% exercicis[3].each do |par| %>
\item \startformula
\frac{<%=par['a']%>}{<%=par['b']%>} \div \frac{<%=par['d']%>}{<%=2*par['e']%>} + \frac{<%=par['c']%>}{<%=par['d']%>} \cdot \frac{<%=par['e']%>}{<%=2*par['b']%>}
\stopformula
<% end %>
\stopitemize
\stopexercici



<%# Exercici 4 %>
<%
exercicis[4] = Array.new

for i in (1...3)
  parametres = Hash.new
  
  parametres['a'] = rand(2..10)  
  parametres['b'] = rand(2..10)
  parametres['c'] = rand(2..20)  
  parametres['d'] = rand(2..20)
  parametres['e'] = rand(2..20)

  exercicis[4].push(parametres)
end
%>


\startexercici[reference=exercici-4] Opereu:
\startitemize[a, columns]
<% exercicis[4].each do |par| %>
\item \startformula
\frac{<%=par['a']%>}{<%=par['b']%>} \cdot \left( \frac{<%=par['d']%>}{<%=par['c']%>} - \frac{2}{<%=par['b'] + par['c']%>} \right) + \frac{<%=par['e']%>}{<%=3*par['b']%>}
\stopformula
<% end %>
\stopitemize
\stopexercici

\stopsubsubject

<%# ----------------------- Solucions ------------------------ %>
\page[yes]
\startsubsubject[title={Solucions}]

Les solucions es mostren sense simplificar i simplificades.

\startitemize
\sym{\in[exercici-1]}
\startitemize[a, text]
<% exercicis[1].each do |par| %>
<% 
   solucio = Rational(par['a'] + par['c'] +par['b']*par['d'],par['b'])
%>
\item $\frac{<%=par['a'] + par['c'] + par['b']*par['d']%>}{<%=par['b']%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
<% 
   solucio = Rational(par['a']*par['d'] + par['c']*par['b'],par['b']*par['d'])
%>
\item $\frac{<%=par['a']*par['d'] + par['c']*par['b']%>}{<%=par['b']*par['d']%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-3]}
\startitemize[a, text]
<% exercicis[3].each do |par| %>
<% 
   solucio = Rational(4*par['a']*par['e'] + par['c']*par['e'], 2*par['b']*par['d'])
%>
\item $\frac{<%=2*par['a']*par['e']*2*par['b']*par['d'] + par['c']*par['e']*par['b']*par['d']%>}{<%=par['b']*par['d']*2*par['b']*par['d']%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-4]}
\startitemize[a, text]
<% exercicis[4].each do |par| %>
<% 
   solucio = Rational(3*par['a']*par['d']*(par['b'] + par['c']) - 6*par['a']*par['c'] + par['e']*(par['b']+par['c'])*par['c'],3*(par['b']+par['c'])*par['b']*par['c'])
%>
\item $\frac{<%= (par['a']*par['d']*(par['b']+par['c']) - 2*par['a']*par['c'])*3*par['b'] +  par['e']*(par['b']+par['c'])*par['b']*par['c']%>}{<%=3*par['b']*(par['b']+par['c'])*par['b']*par['c']%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize


\stopitemize

\vfill
Les solucions d'aquests exercicis s'han calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

<%# ----------------------- Resolució ------------------------ %>
\page[yes]
\startsubsubject[title={Resolució}]

\startitemize
\sym{\in[exercici-1]}
\startitemize[a, text]
<% exercicis[1].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   d = par['d']
   solucio = Rational(a+c+b*d,b)
%>

\item $\frac{<%=a%>}{<%=b%>} + \frac{<%=c%>}{<%=b%>} + <%=d%> = \frac{<%=a+c%>}{<%=b%>} + <%=d%> = \frac{<%=a + c%>}{<%=b%>} + \frac{<%=b*d%>}{<%=b%>} = \frac{<%=a + c + b*d%>}{<%=b%>} =  \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   d = par['d']
   solucio = Rational(a*d + c*b,b*d)
%>

\item $\frac{<%=a%>}{<%=b%>} + \frac{<%=c%>}{<%=d%>} = \frac{<%=a*d%>}{<%=b*d%>} + \frac{<%=c*b%>}{<%=b*d%>} = \frac{<%=a*d + c*b%>}{<%=b*d%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-3]}
\startitemize[a, text]
<% exercicis[3].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   d = par['d']
   e = par['e']
   solucio = Rational(4*a*e + c*e, 2*b*d)
%>

\item $\frac{<%=a%>}{<%=b%>} \div \frac{<%=d%>}{<%=2*e%>} + \frac{<%=c%>}{<%=d%>} \cdot \frac{<%=e%>}{<%=2*b%>} = \frac{<%=2*a*e%>}{<%=b*d%>} + \frac{<%=c*e%>}{<%=2*b*d%>} = \frac{<%=2*a*e*2*b*d + c*e*b*d%>}{<%=b*d*2*b*d%>} = \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize

\sym{\in[exercici-4]}
\startitemize[a, text]
<% exercicis[4].each do |par| %>
<% a = par['a']
   b = par['b']
   c = par['c']
   d = par['d']
   e = par['e']
   solucio = Rational(3*a*d*(b+c)-6*a*c + e*(b+c)*c,3*(b+c)*b*c)
%>

\item $\frac{<%=a%>}{<%=b%>} \cdot \left( \frac{<%=d%>}{<%=c%>} - \frac{<%=2%>}{<%=b+c%>}\right) + \frac{<%=e%>}{<%=3*b%>} = \frac{<%=a%>}{<%=b%>} \cdot \frac{<%=d*(b+c)-2*c%>}{<%=(b+c)*c%>} + \frac{<%=e%>}{<%=3*b%>} = \frac{<%=a*d*(b+c) - 2*a*c%>}{<%=(b+c)*b*c%>} + \frac{<%=e%>}{<%=3*b%>} = \frac{<%= (a*d*(b+c) - 2*a*c)*3*b +  e*(b+c)*b*c%>}{<%=3*b*(b+c)*b*c%>} =
 \frac{<%=solucio.numerator%>}{<%=solucio.denominator%>}$
<% end %>
\stopitemize


\stopitemize

\vfill
La resolució d'aquests exercicis s'ha calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

S'ha usat el mètode de la \quotation{carita feliz}\footnote{Aquest mètode consisteix en multiplicar els denominadors i fer un producte creuat: $\frac{a}{b} + \frac{c}{d} = \frac{a \cdot d + c \cdot b}{b \cdot d}$.} per sumar o restar fraccions amb denominadors diferents en comptes del mètode que calcula el mínim comú múltiple (o simplement un múltiple). La raó és la senzillesa i la rapidesa del mètode. Tanmateix al final es simplifiquen les fraccions.

\stopsubsubject

\stopsubject

\stoptext
